Bug 1316204 (CVE-2016-3138)

Summary: CVE-2016-3138 kernel: Crash on invalid USB device descriptors (cdc_acm driver)
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: agordeev, aquini, arm-mgr, bhu, dhoward, esammons, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, joelsmith, jonathan, jross, jwboyer, kernel-maint, kernel-mgr, kstutsma, lgoncalv, lwang, madhu.chinakonda, matt, mchehab, mcressma, mguzik, nmurray, pholasek, plougher, rt-maint, rvrbovsk, slawomir, vdronov, williams, wmealing
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-03-18 10:22:40 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1283366, 1317010    
Bug Blocks: 1317020    

Description Adam Mariš 2016-03-09 16:52:39 UTC
A flaw was found in the Linux kernel handling when a buggy USB device is attached attempting to use the cdc_acm kernel module.  This flaw would cause the kernel to panic by a null pointer dereference.

Public via:

http://seclists.org/bugtraq/2016/Mar/54

CVE-ID request and assignment:

http://seclists.org/oss-sec/2016/q1/605

http://seclists.org/oss-sec/2016/q1/622

Upstream patch:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=8835ba4a39cf53f705417b3b3a94eb067673f2c9

Comment 1 Adam Mariš 2016-03-09 16:52:42 UTC
Acknowledgments:

Name: Ralf Spenneberg (OpenSource Security)

Comment 2 Adam Mariš 2016-03-11 17:03:53 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1317010]

Comment 6 Vladis Dronov 2016-03-18 10:22:40 UTC
Statement:

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and MRG-2. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 7 Fedora Update System 2016-04-02 00:43:31 UTC
kernel-4.5.0-302.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-04-02 15:51:23 UTC
kernel-4.5.0-302.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-04-08 15:52:35 UTC
kernel-4.4.6-301.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-04-08 20:20:20 UTC
kernel-4.4.6-201.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.